//+------------------------------------------------------------------+
//|                                                        Time1.mq4 |
//|                      Copyright  2005, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#include <stdlib.mqh>
extern double trailingStop = 15;    

double long_ma, short_ma, macdHistCurrent, macdHistPrevious, macdSignalCurrent, macdSignalPrevious;
double stochHistCurrent, stochHistPrevious, stochSignalCurrent, stochSignalPrevious;
double sarCurrent, sarPrevious, momCurrent, momPrevious,x,y;
double realTP, realSL;
bool isBuying = false, isSelling = false, isClosing = false, trade_again = false, buy_trade_again = false; 
int count;
static double lasttradeprice;



//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//---- 
//prtAlert("Day Trading: Buying");
   int handle;
   calculateIndicators();
   handle=FileOpen("eurud_1min.csv", FILE_CSV|FILE_WRITE, ";");
  if(handle>0)
    {
     // write data
     FileWrite(handle, Bid, Ask, Point, isBuying, isSelling);
     FileClose(handle);
    }
//----
   return(0);
  }
//+------------------------------------------------------------------+
void calculateIndicators() {    // Calculate indicators' value   
   macdHistCurrent     = iMACD(NULL,PERIOD_M15,12,26,9,PRICE_OPEN,MODE_MAIN,0);   
   macdHistPrevious    = iMACD(NULL,PERIOD_M15,12,26,9,PRICE_OPEN,MODE_MAIN,2);   
   macdSignalCurrent   = iMACD(NULL,PERIOD_M15,12,26,9,PRICE_OPEN,MODE_SIGNAL,0); 
   macdSignalPrevious  = iMACD(NULL,PERIOD_M15,12,26,9,PRICE_OPEN,MODE_SIGNAL,2); 
   stochHistCurrent    = iStochastic(NULL,0,5,3,3,MODE_SMA,0,MODE_MAIN,0);
   stochHistPrevious   = iStochastic(NULL,0,5,3,3,MODE_SMA,0,MODE_MAIN,1);
   stochSignalCurrent  = iStochastic(NULL,0,5,3,3,MODE_SMA,0,MODE_SIGNAL,0);
   stochSignalPrevious = iStochastic(NULL,0,5,3,3,MODE_SMA,0,MODE_SIGNAL,1);
   sarCurrent          = iSAR(NULL,0,0.02,0.2,0);           // Parabolic Sar Current
   sarPrevious         = iSAR(NULL,0,0.02,0.2,1);           // Parabolic Sar Previuos
   momCurrent          = iMomentum(NULL,0,14,PRICE_OPEN,0); // Momentum Current
   momPrevious         = iMomentum(NULL,0,14,PRICE_OPEN,1); // Momentum Previous
   
   isBuying  = (sarCurrent<=Ask && sarPrevious>sarCurrent && momCurrent<100 && macdHistCurrent<macdSignalCurrent && stochHistCurrent<35);
   isSelling = (sarCurrent>=Bid && sarPrevious<sarCurrent && momCurrent>100 && macdHistCurrent>macdSignalCurrent && stochHistCurrent>60);
   isClosing = false;
  
}

void file_clear(string file_name){
	int handle;
	handle=FileOpen(file_name,FILE_READ);
	FileClose(handle);
	if(handle>0){
		FileDelete(file_name);
	}
}

void file_record(int record,string file_name,string value1){
	if(record==0){
		return;
	}
	int handle;
	handle=FileOpen(file_name,FILE_READ|FILE_WRITE);
	int error_code=GetLastError();
	Print("file:",handle," err:",error_code," dsc:",ErrorDescription(error_code));
	FileSeek(handle,0,SEEK_END);
	FileWrite(handle,value1);
	FileFlush(handle);
	FileClose(handle);
}





